<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.iot.mapper.BaseBuildFacilityTypeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.iot.domain.BaseBuildFacilityType">
        <id column="id" property="id" />
        <result column="type_code" property="typeCode" />
        <result column="type_abbrevia" property="typeAbbrevia" />
        <result column="type_name" property="typeName" />
        <result column="type_img" property="typeImg" />
        <result column="type_desc" property="typeDesc" />
        <result column="data_field" property="dataField" />
        <result column="model_link" property="modelLink" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="dept_id" property="deptId" />
        <result column="tenant_id" property="tenantId" />
        <result column="angles_x" property="anglesX" />
        <result column="angles_y" property="anglesY" />
        <result column="angles_z" property="anglesZ" />
        <result column="scale_l" property="scaleL" />
        <result column="scale_w" property="scaleW" />
        <result column="scale_h" property="scaleH" />
    </resultMap>

</mapper>
